GetCalculatedChannelDependents
curl --request GET \
--url https://api.siftstack.com/api/v2/calculated-channels/dependents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/calculated-channels/dependents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/calculated-channels/dependents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"calculatedChannels": [
{
"calculatedChannelId": "<string>",
"organizationId": "<string>",
"versionId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"changeMessage": "<string>",
"userNotes": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"calculatedChannelConfiguration": {
"assetConfiguration": {
"allAssets": true,
"selection": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
}
},
"queryConfiguration": {
"sel": {
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>",
"calculatedChannel": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>",
"calculatedChannel": "<unknown>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
}
}
]
}
}
},
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"calculatedChannelDependencies": [
{
"calculatedChannelVersionId": "<string>"
}
],
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"units": "<string>",
"folderIds": [
"<string>"
]
}
],
"rules": [
{
"ruleId": "<string>",
"assetId": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"conditions": [
{
"ruleConditionId": "<string>",
"ruleId": "<string>",
"expression": {
"singleChannelComparison": {
"channelComponent": "<string>",
"channelName": "<string>",
"comparator": "CONDITION_COMPARATOR_UNSPECIFIED",
"double": 123,
"string": "<string>",
"lastValue": {}
},
"calculatedChannel": {
"channelReferences": {},
"expression": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"calculatedChannelDependencies": [
{
"calculatedChannelVersionId": "<string>"
}
]
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"actions": [
{
"ruleActionId": "<string>",
"ruleConditionId": "<string>",
"actionType": "ACTION_KIND_UNSPECIFIED",
"configuration": {
"notification": {
"recipientUserIds": [
"<string>"
]
},
"annotation": {
"tagIds": [
"<string>"
],
"annotationType": "ANNOTATION_TYPE_UNSPECIFIED",
"assignedToUserId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"webhook": {
"webhookId": "<string>"
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"ruleActionVersionId": "<string>"
}
],
"ruleConditionVersionId": "<string>"
}
],
"ruleVersion": {
"ruleId": "<string>",
"ruleVersionId": "<string>",
"version": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"versionNotes": "<string>",
"generatedChangeMessage": "<string>",
"isArchived": true,
"deletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z"
},
"assetConfiguration": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
},
"contextualChannels": {
"channels": [
{
"name": "<string>",
"component": "<string>",
"calculatedChannelVersionId": "<string>"
}
]
},
"isExternal": true,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"currentVersionId": "<string>",
"clientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"isLiveEvaluationEnabled": true,
"folderIds": [
"<string>"
]
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}CalculatedChannelService
GetCalculatedChannelDependents
Retrieve calculated channels that depend on a given calculated channel.
GET
/
api
/
v2
/
calculated-channels
/
dependents
GetCalculatedChannelDependents
curl --request GET \
--url https://api.siftstack.com/api/v2/calculated-channels/dependents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/calculated-channels/dependents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/calculated-channels/dependents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"calculatedChannels": [
{
"calculatedChannelId": "<string>",
"organizationId": "<string>",
"versionId": "<string>",
"version": 123,
"name": "<string>",
"description": "<string>",
"changeMessage": "<string>",
"userNotes": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"calculatedChannelConfiguration": {
"assetConfiguration": {
"allAssets": true,
"selection": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
}
},
"queryConfiguration": {
"sel": {
"expression": "<string>",
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>",
"calculatedChannel": {
"expression": "<string>",
"channelReferences": {},
"expressionChannelReferences": [
{
"channelReference": "<string>",
"channelId": "<string>",
"calculatedChannel": "<unknown>"
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
]
}
}
]
}
}
},
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"calculatedChannelDependencies": [
{
"calculatedChannelVersionId": "<string>"
}
],
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"units": "<string>",
"folderIds": [
"<string>"
]
}
],
"rules": [
{
"ruleId": "<string>",
"assetId": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"conditions": [
{
"ruleConditionId": "<string>",
"ruleId": "<string>",
"expression": {
"singleChannelComparison": {
"channelComponent": "<string>",
"channelName": "<string>",
"comparator": "CONDITION_COMPARATOR_UNSPECIFIED",
"double": 123,
"string": "<string>",
"lastValue": {}
},
"calculatedChannel": {
"channelReferences": {},
"expression": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"calculatedChannelDependencies": [
{
"calculatedChannelVersionId": "<string>"
}
]
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"actions": [
{
"ruleActionId": "<string>",
"ruleConditionId": "<string>",
"actionType": "ACTION_KIND_UNSPECIFIED",
"configuration": {
"notification": {
"recipientUserIds": [
"<string>"
]
},
"annotation": {
"tagIds": [
"<string>"
],
"annotationType": "ANNOTATION_TYPE_UNSPECIFIED",
"assignedToUserId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"webhook": {
"webhookId": "<string>"
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"ruleActionVersionId": "<string>"
}
],
"ruleConditionVersionId": "<string>"
}
],
"ruleVersion": {
"ruleId": "<string>",
"ruleVersionId": "<string>",
"version": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"versionNotes": "<string>",
"generatedChangeMessage": "<string>",
"isArchived": true,
"deletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z"
},
"assetConfiguration": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
},
"contextualChannels": {
"channels": [
{
"name": "<string>",
"component": "<string>",
"calculatedChannelVersionId": "<string>"
}
]
},
"isExternal": true,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"currentVersionId": "<string>",
"clientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"isLiveEvaluationEnabled": true,
"folderIds": [
"<string>"
]
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I